# be aware kube wll not run on container, use minikube instead
version: "3"

networks:
  network_kube:
    driver: bridge
    ipam:
      driver: default
      config:
        - subnet: 192.168.55.0/24
          gateway: 192.168.55.1
services:
  service_kube:
    build:
      dockerfile: Dockerfile
      target: dependencies
      args:
        USER_ID: ${USER_ID:-1000}
        GROUP_ID: ${GROUP_ID:-1000}
    container_name: service_kube
    restart: on-failure
    ports:
      - 5000:80
    command:
      - /tmp/install.sh
    networks:
      network_kube:
        ipv4_address: 192.168.55.10
